import { jsx } from "react/jsx-runtime";
import { TokenMX as TokenMX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MX", "data-name": "TokenMX", ...props, children: /* @__PURE__ */ jsx(TokenMX$1, { variant }) });
  }
);
TokenMX.displayName = "TokenMX";
Object.assign(TokenMX, { isGdsIcon: true });
export {
  TokenMX
};
